Bug 175039 - net-mgmt/wide-dhcp: Fix build with clang
Summary: net-mgmt/wide-dhcp: Fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-05 18:10 UTC by tkato432
Modified: 2013-02-07 14:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.10 KB, patch)
2013-01-05 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-01-05 18:10:10 UTC
- Fix build with clang

New file:
files/patch-relay.c
Comment 1 Marcelo Araujo freebsd_committer 2013-01-18 06:17:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2013-02-07 14:43:51 UTC
State Changed
From-To: open->closed
Comment 3 Martin Wilke freebsd_committer 2013-02-07 14:43:51 UTC
Responsible Changed
From-To: araujo->miwi

Comitted
Comment 4 dfilter service freebsd_committer 2013-02-07 14:44:02 UTC
Author: miwi
Date: Thu Feb  7 14:43:48 2013
New Revision: 311855
URL: http://svnweb.freebsd.org/changeset/ports/311855

Log:
  - Fix build with clang
  - Trim header
  
  PR:		175039
  Submitted by:	Ports Fury

Added:
  head/net-mgmt/wide-dhcp/files/patch-relay.c   (contents, props changed)
Modified:
  head/net-mgmt/wide-dhcp/Makefile   (contents, props changed)

Modified: head/net-mgmt/wide-dhcp/Makefile
==============================================================================
--- head/net-mgmt/wide-dhcp/Makefile	Thu Feb  7 14:42:20 2013	(r311854)
+++ head/net-mgmt/wide-dhcp/Makefile	Thu Feb  7 14:43:48 2013	(r311855)
@@ -1,10 +1,5 @@
-# ex:ts=8
-# Ports collection makefile for:  dhcp
-# Date created:			  21 November 1995
-# Whom:				  Yoshiro MIHIRA <sanpei@yy.cs.keio.ac.jp>
-#
+# Created by: Yoshiro MIHIRA <sanpei@yy.cs.keio.ac.jp>
 # $FreeBSD$
-#
 
 PORTNAME=	wide-dhcp
 PORTVERSION=	1.4.0.7
@@ -13,12 +8,12 @@ MASTER_SITES=	ftp://sh.wide.ad.jp/WIDE/f
 		ftp://ftp.st.ryukoku.ac.jp/pub/network/dhcp/wide/
 DISTNAME=	dhcp-${PORTVERSION:R}p${PORTVERSION:E}
 
-LICENSE=	BSD
-LICENSE_FILE=	${WRKSRC}/Copyright
-
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Dynamic Host Configuration Protocol, WIDE Implementation
 
+LICENSE=	BSD
+LICENSE_FILE=	${WRKSRC}/Copyright
+
 MAKE_ENV=	OSTYPE="${OPSYS}"
 MAKE_JOBS_SAFE=	yes
 
@@ -27,6 +22,8 @@ MAN8=		dhcpc.8 dhcps.8 relay.8 dhcpm.8
 DOCS=		README README.jis db_sample/intro.dhcp db_sample/intro.dhcp.jis
 EXAMPLES=	dhcpdb.pool dhcpdb.relay dhcpdb.server
 
+.include <bsd.port.options.mk>
+
 post-patch:
 .for dir in client relay server tools
 	@${REINPLACE_CMD} -e \
@@ -39,11 +36,11 @@ post-patch:
 
 post-install:
 	${INSTALL_SCRIPT} ${FILESDIR}/wide-dhcps.sh.sample ${PREFIX}/etc/rc.d
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
 	@cd ${WRKSRC} && ${INSTALL_DATA} ${DOCS} ${DOCSDIR}
 .endif
-.if !defined(NOPORTEXAMPLES)
+.if ${PORT_OPTIONS:MEXAMPLES}
 	@${MKDIR} ${EXAMPLESDIR}
 	@cd ${WRKSRC}/db_sample && ${INSTALL_DATA} ${EXAMPLES} ${EXAMPLESDIR}
 .endif

Added: head/net-mgmt/wide-dhcp/files/patch-relay.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-mgmt/wide-dhcp/files/patch-relay.c	Thu Feb  7 14:43:48 2013	(r311855)
@@ -0,0 +1,11 @@
+--- relay/relay.c.orig	1999-01-01 19:28:04.000000000 +0900
++++ relay/relay.c	2012-10-25 18:05:55.000000000 +0900
+@@ -123,7 +123,7 @@
+ static void forwarding();
+ int open_if();
+ 
+-void
++int
+ main(argc, argv)
+   int argc;
+   char **argv;
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"